> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nrai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flow Templates

> List flow templates



## OpenAPI

````yaml GET /v1/flow-templates
openapi: 3.0.3
info:
  title: NRAI Documentation
  version: 0.0.0
servers:
  - url: https://cloud.nrai.io/api
    description: Production Server
security: []
externalDocs:
  url: https://nrai.io/docs
  description: Find more info here
paths:
  /v1/flow-templates:
    get:
      tags:
        - flow-templates
      description: List flow templates
      parameters:
        - schema:
            type: array
            items:
              type: string
          in: query
          name: pieces
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: tags
          required: false
        - schema:
            type: string
          in: query
          name: search
          required: false
      responses:
        '200':
          description: Default Response
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````